webpackJsonp([12],{

/***/ "HtcZ":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ }),

/***/ "s2Fx":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// EXTERNAL MODULE: ./node_modules/babel-runtime/core-js/json/stringify.js
var stringify = __webpack_require__("mvHQ");
var stringify_default = /*#__PURE__*/__webpack_require__.n(stringify);

// EXTERNAL MODULE: ./node_modules/axios/index.js
var axios = __webpack_require__("mtWM");
var axios_default = /*#__PURE__*/__webpack_require__.n(axios);

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/view/picManage.vue

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//


/* harmony default export */ var picManage = ({
  data: function data() {
    return {
      picList: [],
      filt: 'all',
      addPicVisible: false,
      picForm: {
        name: '',
        type: 'osd'
      },
      cancelFlag: false,
      isUploading: false,
      uploadDiabled: true,
      progressFlag: false,
      cancel: null,
      videoUploadPercent: 0,
      excelName: '',
      picMaxConfig: {
        width: 1920,
        height: 1080
      }
    };
  },

  computed: {
    filteredItems: function filteredItems() {
      if (stringify_default()(this.picList) != '{}') {
        var result = void 0;
        if (this.filt != 'all') {
          var filt = this.filt;
          result = this.picList.filter(function (a) {
            return a.type == filt;
          });
        } else {
          result = this.picList;
        }
        return result;
      }
    }
  },
  created: function created() {
    this.getConfigInfo();
    this.getPicManage();
  },

  methods: {
    getConfigInfo: function getConfigInfo() {
      var _this = this;

      this.$http.getFeaturesOverlaySet().then(function (res) {
        _this.picMaxConfig = res.data.data.max_image == '4K' ? { width: 3840, height: 2160 } : _this.picMaxConfig;
      });
    },
    getPicManage: function getPicManage() {
      var _this2 = this;

      var params = {
        type: 'all'
      };
      this.$http.getPicManage(params).then(function (res) {
        _this2.picList = res.data.data;
      });
    },
    openDialog: function openDialog() {
      this.addPicVisible = true;
    },
    handleClose: function handleClose() {
      this.addPicVisible = false;
    },
    submitOk: function submitOk() {
      var _this3 = this;

      this.$refs.picForm.validate(function (valid) {
        if (valid) {
          _this3.$refs.upload.submit();
        }
      });
    },
    picRemove: function picRemove(val) {
      var _this4 = this;

      var params = {
        id: val.id
      };
      this.$confirm(this.$t('confirm.picConfirm'), this.$t('tips.tips'), {
        confirmButtonText: this.$t('button.ok'),
        cancelButtonText: this.$t('button.cancel'),
        type: 'warning'
      }).then(function () {
        _this4.$http.removePic(params).then(function (res) {
          _this4.getPicManage();
          _this4.$message.success(_this4.$t('tips.deleteSuccess'));
        });
      }).catch(function () {});
    },

    //文件上传
    binUpload: function binUpload() {
      var _this5 = this;

      this.isUploading = true;
      var formData = new FormData();
      formData.append('upload', this.myFile.raw);
      formData.append('path', this.myFile.name);
      formData.append('name', this.picForm.name);
      formData.append('type', this.picForm.type);
      var vm = this;
      axios_default.a.post(this.$http.url + 'pic/add.json', formData, {
        header: {
          'Content-Type': 'multipart/form-data'
        },
        onUploadProgress: function onUploadProgress(e) {
          vm.videoUploadPercent = Number((e.loaded / e.total * 100).toFixed(0));
          vm.progressFlag = vm.videoUploadPercent < 100 && vm.isUploading ? true : false;
          vm.cancelFlag = vm.progressFlag;
        },

        cancelToken: new this.$axios.CancelToken(function executor(c) {
          vm.cancel = c;
        })
      }).then(function (res) {
        _this5.$message.success(_this5.$t('tips.addSuccess'));
        _this5.addPicVisible = false;
        _this5.getPicManage();
        _this5.cancelUpload();
      }).catch(function (e) {
        _this5.cancelUpload();
      });
    },
    cancelUpload: function cancelUpload() {
      this.isUploading = false;
      this.excelName = '';
      this.progressFlag = false;
      this.cancelFlag = false;
      this.videoUploadPercent = 0;
      this.uploadDiabled = true;
      this.$refs.upload.clearFiles();
      if (this.cancel) {
        this.cancel();
      }
      this.picForm = {
        name: '',
        type: 'osd'
      };
    },
    uploadChange: function uploadChange(file) {
      var vm = this;
      this.myFile = file;
      var img = new Image();
      img.src = file.url;
      img.onload = function () {
        var imgVaild = img.width <= vm.picMaxConfig.width && img.height <= vm.picMaxConfig.height;
        if (!imgVaild) {
          vm.$message.warning(vm.$t('picManage.resolutionTips') + vm.picMaxConfig.width + '*' + vm.picMaxConfig.height);
          return false;
        }
        vm.excelName = file.name;
        vm.uploadDiabled = false;
        vm.cancelFlag = true;
      };
    },
    uploadVideoProcess: function uploadVideoProcess(event, file, fileList) {
      this.progressFlag = true;
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-cebaa072","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/view/picManage.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"container"},[_c('el-row',{attrs:{"gutter":20}},[_c('el-col',{attrs:{"sm":{ span: 22, offset: 1 },"md":{ span: 20, offset: 2 },"lg":{ span: 14, offset: 5 },"xl":{ span: 12, offset: 6 }}},[_c('el-card',{staticClass:"box-card"},[_c('div',{staticClass:"clearfix text-center header_container",attrs:{"slot":"header"},slot:"header"},[_c('span',{staticClass:"header_left"},[_c('kvd-button',{attrs:{"perms":"pictures","icon":"el-icon-plus","size":"mini","label":_vm.$t('picManage.addPic'),"type":"success"},on:{"click":function($event){return _vm.openDialog()}}})],1),_vm._v(" "),_c('span',[_vm._v(_vm._s(_vm.$t('picManage.pictureManage')))])]),_vm._v(" "),_c('div',{attrs:{"id":"colored"}},[_c('el-button',{attrs:{"type":_vm.filt == 'all' ? 'success' : 'primary',"size":"mini"},on:{"click":function($event){_vm.filt = 'all'}}},[_vm._v(_vm._s(_vm.$t('button.all')))]),_vm._v(" "),_c('el-button',{attrs:{"type":_vm.filt == 'osd' ? 'success' : 'primary',"size":"mini"},on:{"click":function($event){_vm.filt = 'osd'}}},[_vm._v(_vm._s(_vm.$t('button.logo')))]),_vm._v(" "),_c('el-button',{attrs:{"type":_vm.filt == 'bg' ? 'success' : 'primary',"size":"mini"},on:{"click":function($event){_vm.filt = 'bg'}}},[_vm._v(_vm._s(_vm.$t('button.bg')))]),_vm._v(" "),_c('transition-group',{staticClass:"list-complete-box mt_10",attrs:{"name":"list-complete","tag":"p"}},_vm._l((_vm.filteredItems),function(item){return _c('el-card',{key:item.id,staticClass:"list-complete-item block",class:item.color,attrs:{"body-style":{ padding: '0px', width: '100%' }}},[_c('div',{staticClass:"image_box"},[(item.url)?_c('img',{staticClass:"image",attrs:{"src":'./img/' + item.url}}):_vm._e()]),_vm._v(" "),_c('div',{staticClass:"pic_footer"},[_c('span',{staticClass:"overEllipsis",staticStyle:{"display":"inherit"},attrs:{"title":item.name}},[_vm._v(_vm._s(item.name))]),_vm._v(" "),_c('div',{staticClass:"bottom clearfix"},[_c('span',{staticClass:"pic_size"},[_vm._v(_vm._s(_vm.$t('picManage.size'))+"("+_vm._s(item.size_w)+"x"+_vm._s(item.size_h)+")")]),_vm._v(" "),_c('kvd-button',{staticClass:"el-icon-delete fr delBtn button-icon",attrs:{"perms":"pictures"},on:{"click":function($event){return _vm.picRemove(item)}}})],1)])])}),1)],1)]),_vm._v(" "),_c('el-dialog',{attrs:{"title":_vm.$t('picManage.addPic'),"visible":_vm.addPicVisible,"width":"550px","before-close":_vm.handleClose,"center":""},on:{"update:visible":function($event){_vm.addPicVisible=$event}}},[_c('el-form',{ref:"picForm",attrs:{"model":_vm.picForm,"label-width":"150px"}},[_c('el-form-item',{attrs:{"prop":"name","label":_vm.$t('picManage.name'),"rules":_vm.$filter_rules({ required: true })}},[_c('el-input',{attrs:{"size":"mini"},model:{value:(_vm.picForm.name),callback:function ($$v) {_vm.$set(_vm.picForm, "name", $$v)},expression:"picForm.name"}})],1),_vm._v(" "),_c('el-form-item',{attrs:{"label":_vm.$t('picManage.type')}},[_c('el-select',{attrs:{"size":"mini"},model:{value:(_vm.picForm.type),callback:function ($$v) {_vm.$set(_vm.picForm, "type", $$v)},expression:"picForm.type"}},[_c('el-option',{attrs:{"label":_vm.$t('button.logo'),"value":"osd"}}),_vm._v(" "),_c('el-option',{attrs:{"label":_vm.$t('button.bg'),"value":"bg"}})],1)],1),_vm._v(" "),_c('el-form-item',{attrs:{"label":_vm.$t('picManage.picUpload')}},[_c('div',{staticClass:"mt_10"},[_c('el-upload',{ref:"upload",staticClass:"picUpload",attrs:{"accept":".jpg,.jpeg,.png,.JPG,.JPEG,.PNG","action":"","show-file-list":false,"http-request":_vm.binUpload,"on-change":_vm.uploadChange,"on-progress":_vm.uploadVideoProcess,"auto-upload":false,"list-type":"picture"}},[_c('kvd-button',{attrs:{"upload":"","label":_vm.$t('button.upload'),"size":"mini","type":"primary"}}),_vm._v(" "),_c('div',{staticClass:"tips warning-tip_color"},[_vm._v(_vm._s(_vm.$t('tips.picFilesTips'))+_vm._s(_vm.picMaxConfig.width)+"*"+_vm._s(_vm.picMaxConfig.height))]),_vm._v(" "),_c('div',{staticClass:"upload-progress"},[_c('span',{staticClass:"excelName"},[_vm._v(_vm._s(_vm.excelName ? _vm.excelName : _vm.$t('firmware.noFile')))]),_vm._v(" "),(_vm.progressFlag)?_c('el-progress',{attrs:{"percentage":_vm.videoUploadPercent}}):_vm._e(),_vm._v(" "),(_vm.cancelFlag)?_c('i',{staticClass:"el-icon-close",on:{"click":_vm.cancelUpload}}):_vm._e()],1)],1)],1)])],1),_vm._v(" "),_c('div',{staticClass:"dialog-footer"},[_c('kvd-button',{attrs:{"type":"primary","label":_vm.$t('button.ok'),"disabled":_vm.uploadDiabled,"size":"mini"},on:{"click":_vm.submitOk}}),_vm._v(" "),_c('kvd-button',{attrs:{"label":_vm.$t('button.cancel'),"type":"danger","size":"mini"},on:{"click":_vm.handleClose}})],1)],1)],1)],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var view_picManage = (esExports);
// CONCATENATED MODULE: ./src/view/picManage.vue
function injectStyle (ssrContext) {
  __webpack_require__("HtcZ")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-cebaa072"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  picManage,
  view_picManage,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_view_picManage = __webpack_exports__["default"] = (Component.exports);


/***/ })

});