local vo_drv = require "video.vo_drivers"
local vo_drv_comm = require "video.vo_drivers_common"
--vo_drv_comm.Init(vo_drv)
vo_drv.Init()

print( "800x600@30", vo_drv.GetNearestResolution( 800, 600, 30, false ) )
print( "800x600@75", vo_drv.GetNearestResolution( 800, 600, 75, false ) )
print( "1920x1080@59", vo_drv.GetNearestResolution( 1920, 1080, 59, false ) )
print( "1920x1080@50i", vo_drv.GetNearestResolution( 1920, 1080, 50, true ) )
print( "1366x768@30", vo_drv.GetNearestResolution( 1366, 768, 30, false ) )
print( "1380x800@50", vo_drv.GetNearestResolution( 1380, 800, 50, false ) )
print( "1360x768@60", vo_drv.GetNearestResolution( 1360, 768, 60, false ) )
print( "1360x800@60", vo_drv.GetNearestResolution( 1360, 800, 60, false ) )
print( "1920x1080@100", vo_drv.GetNearestResolution( 1920, 1080, 100, false ) )
print( "800x400@75", vo_drv.GetNearestResolution( 800, 400, 75, false ) )
print( "1280x720@24", vo_drv.GetNearestResolution( 1280, 720, 24, false ) )
print( "1280x720@25", vo_drv.GetNearestResolution( 1280, 720, 25, false ) )
print( "1280x720@30", vo_drv.GetNearestResolution( 1280, 720, 30, false ) )
print( "1280x720@29", vo_drv.GetNearestResolution( 1280, 720, 29, false ) )
print( "1280x720@35", vo_drv.GetNearestResolution( 1280, 720, 35, false ) )
print( "1920x1080@30", vo_drv.GetNearestResolution( 1920, 1080, 30, false ) )
print( "1920x1080@29", vo_drv.GetNearestResolution( 1920, 1080, 29, false ) )
print( "1920x1080@25", vo_drv.GetNearestResolution( 1920, 1080, 25, false ) )
print( "1920x1080@24", vo_drv.GetNearestResolution( 1920, 1080, 24, false ) )
print( "1920x1080@23", vo_drv.GetNearestResolution( 1920, 1080, 23, false ) )
print( "3840x500@50", vo_drv.GetNearestResolution( 3840, 500, 50, false ) )
print( "3840x1080@50", vo_drv.GetNearestResolution( 3840, 1080, 50, false ) )
print( "3840x1920@30", vo_drv.GetNearestResolution( 3840, 1920, 30, false ) )
print( "3840x1920@55", vo_drv.GetNearestResolution( 3840, 1920, 55, false ) )
print( "3840x1920@20", vo_drv.GetNearestResolution( 3840, 1920, 20, false ) )

print( vo_drv.FetchBestFormat( "1080P30", "hd", 0, { "HDMI", "SDI" } ) )
print( vo_drv.FetchBestFormat( "1080P60", "hd", 0, { "HDMI", "SDI" } ) )
print( vo_drv.FetchBestFormat( "3840x2160@30", "hd", 0, { "HDMI" } ) )
print( vo_drv.FetchBestFormat( "3840x2160@30", "hd", 0, { "HDMI","SDI" } ) )
print( vo_drv.FetchBestFormat( "800x600@60", "hd", 0, { "HDMI", "SDI" } ) )
print( vo_drv.FetchBestFormat( "800x600@60", "hd", 0, { "HDMI" } ) )
print( vo_drv.FetchBestFormat( "720P59", "hd", 0, { "HDMI", "SDI" } ) )
