local coaf = require "coaf.core"
local _dbg = require "coaf.debug"

local _M = {}

function _M.ProcessUpgradeFirmware(filename)
	local pid = coaf.Fork( function()
		os.execute( "/usr/local/bin/progfpga.lua " .. filename )
		os.execute( "/bin/rm -Rf " .. filename )
		os.exit(0)
	end)
	coaf.WaitPID(pid)
	return true, "done", ""
end

return _M

