#!/bin/sh

export PROD_ID="MS2"
export TARGET_TMP_DIR="/tmp/.upgrade_tmp"

export SWVER="0.7.2212"
export LUA_VERSION="5.3"

export ROOT_REQ_KB="68768"
export DATA_REQ_KB="16568"
export UPGRADE_RETURNS=1

#For package patchs using:
export ROOTFS=
export DATAFS=/data

LARGEST_ROOT_FILE=0
LARGEST_DATA_FILE=0

### All header actions before update here:

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/bsp_E_DOCTOR_S/1.8-4324f5a/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8892 ]; then LARGEST_ROOT_FILE=8892; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/kernel_driver_E_DOCTOR_S/1.8-e958db6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 168 ]; then LARGEST_ROOT_FILE=168; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lua/5.3.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lib_lua_bind/1.0-b2abd5f/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_system_time/1.0-d16889c/package.tgz
if [ $LARGEST_ROOT_FILE -lt 24 ]; then LARGEST_ROOT_FILE=24; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/luasocket/3.0rc1-1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/busybox/1.24.1/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/ncurses/5.9/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/luaposix/33.3.1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/luafilesystem/1.6.3-1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/systemctrl_service/1.3-eb2d92d/package.tgz
if [ $LARGEST_ROOT_FILE -lt 16 ]; then LARGEST_ROOT_FILE=16; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/upgrade_service/3.0-99fdeae/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libev/4.22/package.tgz
if [ $LARGEST_ROOT_FILE -lt 40 ]; then LARGEST_ROOT_FILE=40; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lua-ev/v1.4/package.tgz
if [ $LARGEST_ROOT_FILE -lt 28 ]; then LARGEST_ROOT_FILE=28; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libosports/1.0-2fb0fb1/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libcoevent/1.0-fc95405/package.tgz
if [ $LARGEST_ROOT_FILE -lt 32 ]; then LARGEST_ROOT_FILE=32; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_coevent/1.0-fc95405/package.tgz
if [ $LARGEST_ROOT_FILE -lt 36 ]; then LARGEST_ROOT_FILE=36; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_cocrypto/1.0-c373dd1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 16 ]; then LARGEST_ROOT_FILE=16; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/coaf_framework/1.2-247ccdc/package.tgz
if [ $LARGEST_ROOT_FILE -lt 40 ]; then LARGEST_ROOT_FILE=40; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/coaf_coserver/1.2-fc95405/package.tgz
if [ $LARGEST_ROOT_FILE -lt 16 ]; then LARGEST_ROOT_FILE=16; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/zlib/1.2.8/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/dropbear/2019.78/package.tgz
if [ $LARGEST_ROOT_FILE -lt 252 ]; then LARGEST_ROOT_FILE=252; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/expat/2.1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/dbus/1.10.6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 236 ]; then LARGEST_ROOT_FILE=236; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/dnsmasq/2.75/package.tgz
if [ $LARGEST_ROOT_FILE -lt 240 ]; then LARGEST_ROOT_FILE=240; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/dnsmasq_coaf_service/2.75-99fdeae/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/universal_zoneinfo/1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libdaemon/0.14/package.tgz
if [ $LARGEST_ROOT_FILE -lt 20 ]; then LARGEST_ROOT_FILE=20; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libffi/3.2.1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/pcre/8.38/package.tgz
if [ $LARGEST_ROOT_FILE -lt 224 ]; then LARGEST_ROOT_FILE=224; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libglib2/2.46.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/avahi/0.7/package.tgz
if [ $LARGEST_ROOT_FILE -lt 176 ]; then LARGEST_ROOT_FILE=176; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/util-linux/2.27.1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/ntfs-3g/2015.3.14/package.tgz
if [ $LARGEST_ROOT_FILE -lt 256 ]; then LARGEST_ROOT_FILE=256; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/alsa-lib/1.1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libsndfile/1.0.26/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libsamplerate/0.1.8/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/json-c/json-c-0.12-20140410/package.tgz
if [ $LARGEST_ROOT_FILE -lt 32 ]; then LARGEST_ROOT_FILE=32; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libtool/2.4.6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 28 ]; then LARGEST_ROOT_FILE=28; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/openssl/1.0.2g/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libogg/1.3.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 16 ]; then LARGEST_ROOT_FILE=16; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/speex/1.2rc1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 84 ]; then LARGEST_ROOT_FILE=84; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/pulseaudio/8.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/alsa-plugins/1.1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 20 ]; then LARGEST_ROOT_FILE=20; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/alsa-utils/1.1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_simple_network_helper/1.0-d7c8631/package.tgz
if [ $LARGEST_ROOT_FILE -lt 24 ]; then LARGEST_ROOT_FILE=24; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/simple_networkmanager/0.3-850790e/package.tgz
if [ $LARGEST_ROOT_FILE -lt 16 ]; then LARGEST_ROOT_FILE=16; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/hi_general_nm_config/0.1-882767f/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/uuidgen/0.1-691c10f/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PACKAGES/hi_discoverable_nm_config/0.2-876d38f/package.tgz
if [ $LARGEST_ROOT_FILE -lt 12 ]; then LARGEST_ROOT_FILE=12; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/bsp_ext_E_DOCTOR_S/1.1-72184b6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 884 ]; then LARGEST_ROOT_FILE=884; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/font_cn_default/1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/gconv_GBK/1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/default_locale_Shanghai/1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/live555/9016.01.29.01-kiloview/package.tgz
if [ $LARGEST_ROOT_FILE -lt 1072 ]; then LARGEST_ROOT_FILE=1072; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libtasn1/4.6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/gmp/6.1.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 332 ]; then LARGEST_ROOT_FILE=332; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/nettle/3.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/gnutls/3.4.9/package.tgz
if [ $LARGEST_ROOT_FILE -lt 900 ]; then LARGEST_ROOT_FILE=900; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/rtmpdump/0.1-a107cef9/package.tgz
if [ $LARGEST_ROOT_FILE -lt 100 ]; then LARGEST_ROOT_FILE=100; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/fdk-aac/0.1.4/package.tgz
if [ $LARGEST_ROOT_FILE -lt 460 ]; then LARGEST_ROOT_FILE=460; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libxml2/2.9.3/package.tgz
if [ $LARGEST_ROOT_FILE -lt 1052 ]; then LARGEST_ROOT_FILE=1052; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libplist/1.12/package.tgz
if [ $LARGEST_ROOT_FILE -lt 40 ]; then LARGEST_ROOT_FILE=40; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libusbmuxd/1.0.10/package.tgz
if [ $LARGEST_ROOT_FILE -lt 24 ]; then LARGEST_ROOT_FILE=24; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libimobiledevice/1.2.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 100 ]; then LARGEST_ROOT_FILE=100; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/ffmpeg/3.3.6.8/package.tgz
if [ $LARGEST_ROOT_FILE -lt 2188 ]; then LARGEST_ROOT_FILE=2188; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/iptables/1.6.0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 76 ]; then LARGEST_ROOT_FILE=76; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libusb/1.0.19/package.tgz
if [ $LARGEST_ROOT_FILE -lt 72 ]; then LARGEST_ROOT_FILE=72; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/kmod/22/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/eudev/3.1.5/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libpng/1.6.21/package.tgz
if [ $LARGEST_ROOT_FILE -lt 148 ]; then LARGEST_ROOT_FILE=148; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/freetype/2.9/package.tgz
if [ $LARGEST_ROOT_FILE -lt 476 ]; then LARGEST_ROOT_FILE=476; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libiconv/1.14/package.tgz
if [ $LARGEST_ROOT_FILE -lt 928 ]; then LARGEST_ROOT_FILE=928; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lua-iconv/7-1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8 ]; then LARGEST_ROOT_FILE=8; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/srt/1.4.1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 560 ]; then LARGEST_ROOT_FILE=560; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/imagemagick/6.9.7-10/package.tgz
if [ $LARGEST_ROOT_FILE -lt 3340 ]; then LARGEST_ROOT_FILE=3340; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libjpeg/9b/package.tgz
if [ $LARGEST_ROOT_FILE -lt 176 ]; then LARGEST_ROOT_FILE=176; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/iperf/2.0.5/package.tgz
if [ $LARGEST_ROOT_FILE -lt 56 ]; then LARGEST_ROOT_FILE=56; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/iperf3/3.1.1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 96 ]; then LARGEST_ROOT_FILE=96; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/dhcp/4.1-ESV-R12/package.tgz
if [ $LARGEST_ROOT_FILE -lt 612 ]; then LARGEST_ROOT_FILE=612; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/dhcpcd/6.10.1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/usb_modeswitch/2.2.6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/usb_modeswitch_data/20151101/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/mtd/1.5.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 32 ]; then LARGEST_ROOT_FILE=32; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/pjproject/2.6/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/pjproject_umedia/2.6/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lua-cjson/2.1.0-1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 20 ]; then LARGEST_ROOT_FILE=20; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lua-periphery/1.0.6-1/package.tgz
if [ $LARGEST_ROOT_FILE -lt 68 ]; then LARGEST_ROOT_FILE=68; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/3rdparty_base/0.1-72401c3/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_hiperiphery/1.0-691c10f/package.tgz
if [ $LARGEST_ROOT_FILE -lt 36 ]; then LARGEST_ROOT_FILE=36; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/rtc_service@E_DOCTOR/1.0-d1aa595/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8 ]; then LARGEST_ROOT_FILE=8; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/systemctrl_service@E_DOCTOR_S/1.2-d1aa595/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8 ]; then LARGEST_ROOT_FILE=8; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/downloader_service/1.0-d16889c/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8 ]; then LARGEST_ROOT_FILE=8; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/downloader_service@E_DOCTOR/1.0-d1aa595/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libosd2_32bpp/2.1.2-02e5f19/package.tgz
if [ $LARGEST_ROOT_FILE -lt 60 ]; then LARGEST_ROOT_FILE=60; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_osd2_32bpp/2.1.2-02e5f19/package.tgz
if [ $LARGEST_ROOT_FILE -lt 72 ]; then LARGEST_ROOT_FILE=72; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_coavahi/1.2-67cbcca/package.tgz
if [ $LARGEST_ROOT_FILE -lt 84 ]; then LARGEST_ROOT_FILE=84; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/hi_sdk/2070-09c87cc/package.tgz
if [ $LARGEST_ROOT_FILE -lt 624 ]; then LARGEST_ROOT_FILE=624; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_himpp/1.2-74a9d0c/package.tgz
if [ $LARGEST_ROOT_FILE -lt 960 ]; then LARGEST_ROOT_FILE=960; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libshared_buffer/1.0-fcb8814/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libcrossbuf2/2.1-51735ff/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libKMP/0.1-481504a/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/opus/1.1.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 288 ]; then LARGEST_ROOT_FILE=288; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/shine/3.1.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 48 ]; then LARGEST_ROOT_FILE=48; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lame/3.100/package.tgz
if [ $LARGEST_ROOT_FILE -lt 292 ]; then LARGEST_ROOT_FILE=292; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/ndi_sdk/4.5.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 2440 ]; then LARGEST_ROOT_FILE=2440; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libstreaming_core/4.0.8-51735ff/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lib_c_lua_event/1.0-d16889c/package.tgz
if [ $LARGEST_ROOT_FILE -lt 44 ]; then LARGEST_ROOT_FILE=44; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_levent/1.0-d16889c/package.tgz
if [ $LARGEST_ROOT_FILE -lt 32 ]; then LARGEST_ROOT_FILE=32; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_kiloview_media_core/4.0.8-3417a34/package.tgz
if [ $LARGEST_ROOT_FILE -lt 5044 ]; then LARGEST_ROOT_FILE=5044; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_ndi_discovery/4.5-add09e4/package.tgz
if [ $LARGEST_ROOT_FILE -lt 68 ]; then LARGEST_ROOT_FILE=68; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/picture_manager_service/1.1-4426f64/package.tgz
if [ $LARGEST_ROOT_FILE -lt 12 ]; then LARGEST_ROOT_FILE=12; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/osd_service/1.1-0a47942/package.tgz
if [ $LARGEST_ROOT_FILE -lt 24 ]; then LARGEST_ROOT_FILE=24; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/usbreset/0.1-035530e/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/codec_service/4.6.6-9a4231a/package.tgz
if [ $LARGEST_ROOT_FILE -lt 60 ]; then LARGEST_ROOT_FILE=60; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/codec_service_patch_E_DOCTOR/1.1-d08ddc5/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/ui_service@E_DOCTOR/1.0-d1aa595/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8 ]; then LARGEST_ROOT_FILE=8; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/openresty_server/1.11.2.4/package.tgz
if [ $LARGEST_ROOT_FILE -lt 1028 ]; then LARGEST_ROOT_FILE=1028; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PACKAGES/web_ui_D3X/4.7.1-06d4d57/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8 ]; then LARGEST_ROOT_FILE=8; fi
if [ $LARGEST_DATA_FILE -lt 2948 ]; then LARGEST_DATA_FILE=2948; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/web_info@MS2/3.1-a5d4cc2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 20 ]; then LARGEST_DATA_FILE=20; fi

#The largest files from package /solar/projects/BUILD_OUT/PACKAGES/ui_lang_en@D3X/4.2.8-06d4d57/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 8 ]; then LARGEST_DATA_FILE=8; fi

#The largest files from package /solar/projects/BUILD_OUT/PACKAGES/ui_lang_zh@D3X/4.2.8-06d4d57/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 8 ]; then LARGEST_DATA_FILE=8; fi

#The largest files from package /solar/projects/BUILD_OUT/PACKAGES/ui_lang_tw@D3X/4.2.8-06d4d57/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 8 ]; then LARGEST_DATA_FILE=8; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/product_features_E_DOCTOR_S/4.5.1-6e2a62b/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/prog_fpga_m25p80/1.0-691c10f/package.tgz
if [ $LARGEST_ROOT_FILE -lt 8 ]; then LARGEST_ROOT_FILE=8; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/co_manager_service@E_DOCTOR/1.1-7398f94/package.tgz
if [ $LARGEST_ROOT_FILE -lt 16 ]; then LARGEST_ROOT_FILE=16; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/co_manager_service_MS2@E_DOCTOR/1.0-94ed3d6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_beep@E_DOCTOR/1.1-23fe792/package.tgz
if [ $LARGEST_ROOT_FILE -lt 24 ]; then LARGEST_ROOT_FILE=24; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/oled_touch_service_en@E_DOCTOR/1.2-23fe792/package.tgz
if [ $LARGEST_ROOT_FILE -lt 88 ]; then LARGEST_ROOT_FILE=88; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/oled_touch@MS2/1.0-94ed3d6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 88 ]; then LARGEST_ROOT_FILE=88; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/rtmp_service/1.0-70ee035/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/hostname_service/4.0-4f41309/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/talkService/1.0.2-9389afa/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 64 ]; then LARGEST_DATA_FILE=64; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/web_ui_intercom/1.0.1-bded24a/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 2628 ]; then LARGEST_DATA_FILE=2628; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/intercom_lang_en/4.2.2-bded24a/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 8 ]; then LARGEST_DATA_FILE=8; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/intercom_lang_zh/4.2.2-bded24a/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 8 ]; then LARGEST_DATA_FILE=8; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/intercom_lang_tw/4.2.2-bded24a/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 8 ]; then LARGEST_DATA_FILE=8; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_httpclient/1.0-32d67e6/package.tgz
if [ $LARGEST_ROOT_FILE -lt 104 ]; then LARGEST_ROOT_FILE=104; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/talkService_patch_hisi/1.0.2/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 60 ]; then LARGEST_DATA_FILE=60; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_avahi2/1.0-35cfdfb/package.tgz
if [ $LARGEST_ROOT_FILE -lt 16 ]; then LARGEST_ROOT_FILE=16; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/web_ui_kilolink_client/1.0.1-7548231/package.tgz
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 2548 ]; then LARGEST_DATA_FILE=2548; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libmsgpack/4.0.0-c/package.tgz
if [ $LARGEST_ROOT_FILE -lt 32 ]; then LARGEST_ROOT_FILE=32; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libpicoquic/1.0-b10e2b0/-NONE-.manifest
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libklnk/0.2-b10e2b0/package.tgz
if [ $LARGEST_ROOT_FILE -lt 452 ]; then LARGEST_ROOT_FILE=452; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/libklnkcpp/0.2-e5ed592/package.tgz
if [ $LARGEST_ROOT_FILE -lt 200 ]; then LARGEST_ROOT_FILE=200; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/lmo_klnk_forward/0.2-e5ed592/package.tgz
if [ $LARGEST_ROOT_FILE -lt 160 ]; then LARGEST_ROOT_FILE=160; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package /solar/projects/BUILD_OUT/PREBUILD_PACKAGES/kilolinkClient/1.0.2-e33f3c5/package.tgz
if [ $LARGEST_ROOT_FILE -lt 4 ]; then LARGEST_ROOT_FILE=4; fi
if [ $LARGEST_DATA_FILE -lt 16 ]; then LARGEST_DATA_FILE=16; fi

#The largest files from package -
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package -
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package -
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi

#The largest files from package -
if [ $LARGEST_ROOT_FILE -lt 0 ]; then LARGEST_ROOT_FILE=0; fi
if [ $LARGEST_DATA_FILE -lt 0 ]; then LARGEST_DATA_FILE=0; fi


#!/bin/sh
export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
mkdir -p /data/update_log
mkdir -p $TARGET_TMP_DIR/_UPGRADE

updatetime=`date "+%Y-%m-%d %H:%M:%S"`
updatetimecode=`date "+%Y%m%d%H%M"`
WITH_WARNING=0
WITH_ERROR=0
logfile="/data/update_log/$PROD_ID-$SWVER-$updatetimecode.log"

echo "Upgrade to Software version $SWVER..." > $logfile
echo "Upgrade time: $updatetime" >> $logfile

#NOTE: Must disable watch-dog while upgrading!
if [ -x /sbin/wdog ]; then
	/sbin/wdog disable
	echo "Disabled watch-dog while upgrading." >> $logfile
fi

echo "------------------------------------" >> $logfile

if [ $# -gt 0 ]; then
    cd $1
else
    cd /data/update
fi

tar xzf ./patch.tar.gz -C $TARGET_TMP_DIR/_UPGRADE 
if [ $? -ne 0 ]; then
	echo "Upgrading fail! Error to extract the patch file!" >> $logfile
	rm -Rf $TARGET_TMP_DIR
	exit 1
fi

touch_root_sz=0
touch_data_sz=0

if [ -f ./touch.files ]; then
	cccc=`cat ./touch.files | grep -v '^/data/' | wc -l`
	if [ $cccc -gt 0 ]; then
		touch_root_sz=`cat ./touch.files | grep -v '^/data/' | xargs du -k 2>/dev/null | sed -n 's/^\([0-9]*\)[ \t]*.*$/\1/p' | awk 'BEGIN {sum=0} {sum+=$1} END {print sum}'`
		if [ -z "$touch_root_sz" ]; then
			touch_root_sz=0
		fi
	fi

	cccc=`cat ./touch.files | grep '^/data/' | wc -l`
	if [ $cccc -gt 0 ]; then
		touch_data_sz=`cat ./touch.files | grep '^/data/' | xargs du -k 2>/dev/null | sed -n 's/^\([0-9]*\)[ \t]*.*$/\1/p' | awk 'BEGIN {sum=0} {sum+=$1} END {print sum}'`
		if [ -z "$touch_data_sz" ]; then
			touch_data_sz=0
		fi
	fi
fi

rm -Rf ./patch.tar.gz ./touch.files
cd $TARGET_TMP_DIR	#Change to target position

getDiskFree()
{
	#Because the K2E busybox system only support human format
	local freeSpaces=`df -h $1 | sed 1d | awk '{print $4}'`
	if [ "${freeSpaces/G/}" != "${freeSpaces}" ]; then
		#Is GB
		freeSpaces=${freeSpaces/G/}
		freeSpaces=`lua -e "print(math.floor($freeSpaces * 1024 * 1024))"`
	elif [ "${freeSpaces/M/}" != "${freeSpaces}" ]; then
		#Is MB
		freeSpaces=${freeSpaces/M/}
		freeSpaces=`lua -e "print(math.floor($freeSpaces * 1024))"`
	elif [ "${freeSpaces/K/}" != "${freeSpaces}" ]; then
		#Is KB
		freeSpaces=${freeSpaces/K/}
		freeSpaces=`lua -e "print(math.floor($freeSpaces))"`
	fi
	echo $freeSpaces
	exit 0
}

root_free_sz=`getDiskFree /`
#data_free_sz=`getDiskFree /data`

if [ $LARGEST_DATA_FILE -gt $LARGET_ROOT_FILE ]; then
	LARGEST_ROOT_FILE=$LARGEST_DATA_FILE
fi

root_free_final_sz=`expr $root_free_sz + $touch_root_sz + $touch_data_sz - $LARGEST_ROOT_FILE - 2048`	#Keep 2MB at least
#data_free_final_sz=`expr $data_free_sz + $touch_data_sz - $LARGEST_DATA_FILE - 2048`	#Keep 2MB at least

echo "ROOT: Require $ROOT_REQ_KB KB, valid $root_free_final_sz KB (free:$root_free_sz + drop/overwrite:[$touch_root_sz+$touch_data_sz] - largest-update-file:$LARGEST_ROOT_FILE - reserve:2048)." >> $logfile
#echo "DATA: Require $DATA_REQ_KB KB, valid $data_free_final_sz KB (free:$data_free_sz + drop/overwrite:$touch_data_sz - largest-update-file:$LARGEST_DATA_FILE - reserve:2048)." >> $logfile

#Since the filesystem just only /
ROOT_REQ_KB=`expr $ROOT_REQ_KB + $DATA_REQ_KB`

if [ $root_free_final_sz -lt $ROOT_REQ_KB ]; then
#if [ $root_free_final_sz -lt $ROOT_REQ_KB -o $data_free_final_sz -lt $DATA_REQ_KB ]; then
	echo "ERROR: Insufficent disk spaces" >> $logfile
	exit 1
fi

upgrade()
{
	if [ -d "$TARGET_TMP_DIR/_UPGRADE/fakeroot" ]; then
		cp -Rf "$TARGET_TMP_DIR/_UPGRADE/fakeroot/"* / >> $logfile 2>&1
	fi

	if [ -d "$TARGET_TMP_DIR/_UPGRADE/datafs" ]; then
		if [ ! -d /data ]; then
			mkdir /data
		fi
		cp -Rf "$TARGET_TMP_DIR/_UPGRADE/datafs/"* /data/ >> $logfile 2>&1
	fi
	return 0
}

DROP_FILE()
{
	#Wildcard.
	if [ "${1/[\*\?]/}" != "$1" ]; then
		rm -Rf $1
	else
    	rm -Rf "$1"
	fi
    if [ $? -ne 0 ]; then
		#echo "WARNING: Unable to drop unused item [$1]." >> $logfile
		WITH_WARNING=`expr $WITH_WARNING + 1`
		return 1
    else
        return 0
	fi
}

DROP_SYMLINK()
{
	#Wildcard.
	if [ "${1/[\*\?]/}" != "$1" ]; then
		rm -Rf $1
	else
    	rm -Rf "$1"
	fi
    if [ $? -ne 0 ]; then
		#echo "WARNING: Unable to drop unused symlink item [$1]." >> $logfile
		WITH_WARNING=`expr $WITH_WARNING + 1`
		return 1
    else
        return 0
	fi
}

DROP_DIR()
{
	#Wildcard.
	if [ "${1/[\*\?]/}" != "$1" ]; then
    	#NOTE: if dir is not empty, don't force remove it.
    	rmdir $1 || true
	else
    	#NOTE: if dir is not empty, don't force remove it.
    	rmdir "$1" || true
	fi
    return 0
}

SET_FEATURE()
{
	local THISF
	for THISF in /usr/share/lua/$LUA_VERSION/features.lua /usr/local/openresty/lualib/features.lua; do
		if [ ! -f $THISF ]; then
			mkdir -p $(dirname $THISF)
			echo 'pcall(require, "oem")' > $THISF
			echo 'local _flag, FEATURES = pcall(require, "global_features")' >> $THISF
			echo 'if not _flag then' >> $THISF
			echo '    FEATURES = {}' >> $THISF
			echo 'elseif type(FEATURES) ~= "table" then' >> $THISF
			echo '    FEATURES = _G' >> $THISF
			echo 'end' >> $THISF
			echo "FEATURES.$1 = $2" >> $THISF
			echo "return FEATURES" >> $THISF
		else
			mv -f $THISF ${THISF}.old
			cat ${THISF}.old | (
				while read -r line; do
					if [ "${line/FEATURES.$1/}" != "$line" ]; then
						true
					elif [ "${line/return/}" != "$line" ]; then
						echo "FEATURES.$1 = $2" >> $THISF
						echo "$line" >> $THISF
					else
						echo "$line" >> $THISF
					fi
				done
			)
		fi
	done
	return 0
}

REMOVE_FEATURE()
{
	local THISF
	for THISF in /usr/share/lua/$LUA_VERSION/features.lua /usr/local/openresty/lualib/features.lua; do
		if [ ! -f $THISF ]; then
			return 0
		else
			mv $THISF ${THISF}.old
			cat ${THISF}.old | (
				while read -r line; do
					if [ "${line/FEATURES.$1/}" != "$line" ]; then
						true
					else
						echo "$line" >> $THISF
					fi
				done
			)
		fi
	done
	return 0
}

## The upgrading content below: (generated by release tool)

### All drop actions before update here:

DROP_FILE "/usr/lib/libMagickWand-6.Q16.so.2.0.0"
DROP_FILE "/usr/lib/libMagickCore-6.Q16.so.2.0.0"
DROP_FILE "/usr/lib/libMagick++-6.Q16.la"
DROP_FILE "/usr/lib/libMagickWand-6.Q16.la"
DROP_FILE "/usr/lib/libMagick++-6.Q16.so.6.0.0"
DROP_FILE "/usr/lib/libMagickCore-6.Q16.la"
DROP_SYMLINK "/usr/lib/libMagick++-6.Q16.so.6"
DROP_SYMLINK "/usr/lib/libMagickWand-6.Q16.so.2"
DROP_SYMLINK "/usr/lib/libMagickCore-6.Q16.so.2"
DROP_FILE "/usr/local/openresty/luajit/share/man/*"
DROP_FILE "/usr/local/openresty/luajit/include/*"
DROP_FILE "/usr/local/openresty/pod/*"
DROP_FILE "/usr/local/openresty/resty.index"
DROP_FILE "/data/web/html/static/js/7.1ba51a44e200dd48cd3e.js"
DROP_FILE "/data/web/html/static/js/app.36bc33f9c30a5e012e84.js"
DROP_FILE "/data/web/html/static/js/app.aea4b7ac4fdf32c58eb1.js"
DROP_FILE "/data/web/html/static/js/4.ab4b89b6e150c2672cb7.js"
DROP_FILE "/data/web/html/static/js/11.ef4302ae750e1990318b.js"
DROP_FILE "/data/web/html/static/js/6.f121232117cf2c650b08.js"
DROP_FILE "/data/web/html/static/js/6.955ee960e0478541e38c.js"
DROP_FILE "/data/web/html/static/js/manifest.45c1fe67c6519e831efa.js"
DROP_FILE "/data/web/html/static/js/4.c116c97d2ef5b33eac67.js"
DROP_FILE "/data/web/html/static/js/6.75d4104294f95ab0ebb3.js"
DROP_FILE "/data/web/html/static/js/6.903c9fba97993095ab90.js"
DROP_FILE "/data/web/html/static/js/4.8b0ce5ab9ae5ab23a5c4.js"
DROP_FILE "/data/web/html/static/js/manifest.b2ccefe3fbed37535221.js"
DROP_FILE "/data/web/html/static/js/12.f1d19f6b2fb41842b4d9.js"
DROP_FILE "/data/web/html/static/js/13.f107ff4f545d33e4be66.js"
DROP_FILE "/data/web/html/static/js/9.62246983b0951406c541.js"
DROP_FILE "/data/web/api/.gitignore"
DROP_FILE "/data/web/html/static/js/3.4e8c82c1ddd9cee5ff16.js"
DROP_FILE "/data/web/html/static/js/3.f811e25efc0dda7135ab.js"
DROP_FILE "/data/web/html/static/js/app.ffa8aca49b9d980c5bbd.js"
DROP_FILE "/data/web/html/static/js/1.af2784993ab6eb8a5f5b.js"
DROP_FILE "/data/web/html/static/css/app.a6c88d776ad5c504e80e9852d77565b6.css"
DROP_FILE "/data/web/html/static/js/vendor-async.88ad0a219f1109060995.js"
DROP_FILE "/data/web/html/static/css/app.216e221e69ff238d874a0b956b6a0996.css"
DROP_FILE "/data/web/html/static/js/manifest.bbe555a2a4bf86063a2e.js"
DROP_FILE "/data/web/html/static/js/app.5f8555cc7883c6df110c.js"
DROP_FILE "/data/web/html/static/js/14.1de8765099b4d1e76a10.js"
DROP_FILE "/data/web/html/static/js/16.2bedb816fefef5c6d14b.js"
DROP_FILE "/data/web/html/static/js/vendor.10bf2be455547047389e.js"
DROP_FILE "/data/web/html/static/js/manifest.abf411b87b9e49de5a5d.js"
DROP_FILE "/data/web/html/static/css/app.7bf8405b3aff991fed97f93bf0b871df.css"
DROP_FILE "/data/web/html/static/js/12.7acc6d191fa95de4f889.js"
DROP_FILE "/data/web/html/static/js/1.855599f7ab5820b7ec7a.js"
DROP_FILE "/data/web/html/static/js/11.cd52f56990518001ebca.js"
DROP_FILE "/data/web/html/static/js/10.7990c09ece16ad56b6a8.js"
DROP_FILE "/data/web/html/static/js/15.a7fb4d2e938ee7a6c303.js"
DROP_FILE "/data/web/html/static/js/5.223ea5988f43d3f6f38a.js"
DROP_FILE "/data/web/html/static/js/15.f649b41ee86cbe659091.js"
DROP_FILE "/data/web/html/static/js/3.5d78aa5bf6dfb0fa7bda.js"
DROP_FILE "/data/web/*"
DROP_FILE "/data/web/html/static/js/13.1c097ff9b8e154d0ed03.js"
DROP_FILE "/data/web/html/static/js/3.4217220fdf58ad786ff3.js"
DROP_FILE "/data/web/html/static/js/10.feb62c72ed4740d6c5d6.js"
DROP_FILE "/data/web/html/static/js/manifest.1ff5386d2cc0134023c0.js"
DROP_FILE "/data/web/html/static/js/3.bfa0c2579f3a7cb823f3.js"
DROP_FILE "/data/web/html/static/css/app.a7d9ec7b056c741e1f6ae6087671bca5.css"
DROP_FILE "/data/web/html/static/css/app.866f3abdc4b05d5ac4872d4863bdf774.css"
DROP_FILE "/data/web/html/static/config.js"
DROP_FILE "/data/web/html/static/css/app.298f078d44abf157e5741d62299dedf6.css"
DROP_FILE "/data/web/html/static/js/14.47d4a9f31529c349e1fb.js"
DROP_FILE "/data/web/html/static/js/manifest.fef50564fafa9687b9a3.js"
DROP_FILE "/data/web/html/static/js/6.9417abf2b2d3956800b1.js"
DROP_FILE "/data/web/html/static/js/vendor.8bd8a6febb66ddb3a625.js"
DROP_FILE "/data/web/html/static/js/vendor.52e05def4310425596dc.js"
DROP_FILE "/data/web/html/static/js/4.e84f4ad88233f7ce73a0.js"
DROP_FILE "/data/web/html/static/js/9.b5973b4938a8c940e129.js"
DROP_FILE "/data/web/html/static/js/app.f0e0af6d288bf9361057.js"
DROP_FILE "/data/intercom/talkService.lua"
DROP_FILE "/data/intercom/mod_TalkBack.lua"
DROP_FILE "/data/intercom/nm_funcs.lua"
DROP_FILE "/data/intercom/talk_config.lua"
DROP_FILE "/data/intercom/utilBase64.lua"
DROP_DIR "/data/intercom/"
DROP_DIR "/data/"
DROP_FILE "/data/web/intercom/html/static/js/app.6480f53b29ae37b3cee8.js"
DROP_FILE "/data/web/intercom/html/static/js/0.57a5b4d46ec618511455.js"
DROP_FILE "/data/web/intercom/html/static/css/app.fdc5240b7641f160b85be3e56fdd6c9a.css"
DROP_FILE "/data/web/intercom/html/static/js/manifest.8fcdfc8d54cddd18f389.js"
DROP_FILE "/data/web/intercom/html/static/js/0.95c5e6442b1c4545305e.js"
DROP_FILE "/data/web/intercom/html/static/js/vendor.d1d105f30e88c2913edb.js"
DROP_FILE "/data/web/intercom/html/static/css/app.3ed59101c94bb6ed0a0c5107781a769d.css"
DROP_FILE "/data/web/intercom/html/static/js/app.93094ac82a88bebde158.js"
DROP_FILE "/data/web/intercom/html/static/js/manifest.918587f0144c2ede1d34.js"
DROP_FILE "/data/web/intercom/lang/en/errorMsg.json"
DROP_FILE "/data/web/intercom/lang/en/talk.json"
DROP_FILE "/data/web/intercom/lang/en/lang-basic.json"
DROP_FILE "/data/web/intercom/lang/en/common.json"
DROP_FILE "/data/web/intercom/lang/en/formValidte.json"
DROP_FILE "/data/web/intercom/lang/en/element-ui.json"
DROP_DIR "/data/web/"
DROP_DIR "/data/web/intercom/lang/en/"
DROP_DIR "/"
DROP_DIR "/data/web/intercom/lang/"
DROP_DIR "/data/web/intercom/"
DROP_DIR "/data/"
DROP_FILE "/data/web/intercom/lang/zh/formValidte.json"
DROP_FILE "/data/web/intercom/lang/zh/element-ui.json"
DROP_FILE "/data/web/intercom/lang/zh/errorMsg.json"
DROP_FILE "/data/web/intercom/lang/zh/lang-basic.json"
DROP_FILE "/data/web/intercom/lang/zh/talk.json"
DROP_FILE "/data/web/intercom/lang/zh/common.json"
DROP_DIR "/data/web/"
DROP_DIR "/data/web/intercom/lang/zh/"
DROP_DIR "/"
DROP_DIR "/data/web/intercom/lang/"
DROP_DIR "/data/web/intercom/"
DROP_DIR "/data/"
DROP_FILE "/data/web/intercom/lang/tw/talk.json"
DROP_FILE "/data/web/intercom/lang/tw/errorMsg.json"
DROP_FILE "/data/web/intercom/lang/tw/formValidte.json"
DROP_FILE "/data/web/intercom/lang/tw/lang-basic.json"
DROP_FILE "/data/web/intercom/lang/tw/common.json"
DROP_FILE "/data/web/intercom/lang/tw/element-ui.json"
DROP_DIR "/data/web/"
DROP_DIR "/"
DROP_DIR "/data/web/intercom/lang/"
DROP_DIR "/data/web/intercom/"
DROP_DIR "/data/web/intercom/lang/tw/"
DROP_DIR "/data/"
DROP_FILE "/etc/coserver/local/oled_touch"
DROP_FILE "/usr/local/bin/oled_touch/mod_OledTouchService.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_OledIconPage.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_Font.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_HanzIcon.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_IconData.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_coservice.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_OledPage.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_TouchPad.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_Pages.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_GetInfo.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_BgData.lua"
DROP_FILE "/usr/local/bin/oled_touch/mod_Oled.lua"
DROP_DIR "/usr/"
DROP_DIR "/usr/local/"
DROP_DIR "/"
DROP_DIR "/etc/"
DROP_DIR "/usr/local/bin/"
DROP_DIR "/usr/local/bin/oled_touch/"
DROP_DIR "/etc/coserver/local/"
DROP_DIR "/etc/coserver/"
DROP_FILE "/usr/share/lua/5.3/copas/smtp.lua"
DROP_FILE "/usr/share/lua/5.3/copas.lua"
DROP_FILE "/usr/share/lua/5.3/copas/ftp.lua"
DROP_FILE "/usr/share/lua/5.3/copas/limit.lua"
DROP_FILE "/usr/share/lua/5.3/copas/http.lua"
DROP_DIR "/usr/"
DROP_DIR "/usr/share/"
DROP_DIR "/usr/share/lua/"
DROP_DIR "/"
DROP_DIR "/usr/share/lua/5.3/copas/"
DROP_DIR "/usr/share/lua/5.3/"
DROP_FILE "/usr/share/lua/5.3/cgilua/loader.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/dispatcher.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/authentication.lua"
DROP_FILE "/usr/bin/cgilua.cgi"
DROP_FILE "/usr/share/lua/5.3/cgilua/post.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/session.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/mime.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/readuntil.lua"
DROP_FILE "/usr/bin/cgilua.fcgi"
DROP_FILE "/usr/share/lua/5.3/cgilua/lp.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/cookies.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/serialize.lua"
DROP_FILE "/usr/share/lua/5.3/cgilua/urlcode.lua"
DROP_DIR "/usr/"
DROP_DIR "/usr/share/"
DROP_DIR "/usr/share/lua/"
DROP_DIR "/usr/bin/"
DROP_DIR "/usr/share/lua/5.3/cgilua/"
DROP_DIR "/"
DROP_DIR "/usr/share/lua/5.3/"
DROP_FILE "/usr/share/lua/5.3/orbit/model.lua"
DROP_FILE "/usr/bin/op.cgi"
DROP_FILE "/usr/share/lua/5.3/orbit.lua"
DROP_FILE "/usr/bin/op.fcgi"
DROP_FILE "/usr/bin/orbit"
DROP_FILE "/usr/share/lua/5.3/orbit/ophandler.lua"
DROP_FILE "/usr/share/lua/5.3/orbit/routes.lua"
DROP_FILE "/usr/share/lua/5.3/orbit/pages.lua"
DROP_FILE "/usr/share/lua/5.3/orbit/cache.lua"
DROP_DIR "/usr/"
DROP_DIR "/usr/share/"
DROP_DIR "/usr/share/lua/"
DROP_DIR "/usr/bin/"
DROP_DIR "/"
DROP_DIR "/usr/share/lua/5.3/orbit/"
DROP_DIR "/usr/share/lua/5.3/"

# Sync filesystem after delete
sync && sync

### Now update (copy files by cp -Rf):

upgrade


# Patch commands from package '/solar/projects/BUILD_OUT/PREBUILD_PACKAGES/bsp_ext_E_DOCTOR_S/1.1-72184b6/package.tgz'/./package-patch.sh
#!/bin/sh
rm -Rf $ROOTFS/etc/init.d/S80network
rm -Rf $ROOTFS/etc/init.d/S81toe

SET_FEATURE FEATURE_IMS_CONNECTION "true"
SET_FEATURE FEATURE_USB_SOUND_DEVEICE "true"
SET_FEATURE FEATURE_RECORD "true"
SET_FEATURE FEATURE_SIP "false"
SET_FEATURE FEATURE_DEV_DISCOVERY "true"
SET_FEATURE DEV_BT1120_VI "true"
SET_FEATURE FEATURE_STREAMER_MAX_PUBPOINTS "9"
SET_FEATURE FEATURE_NDI_DISCOVERY "true"
SET_FEATURE FEATURE_AUDIO_MIX_OUTPUT "true"
SET_FEATURE FEATURE_RECORD_SATA "true"
SET_FEATURE FEATURE_GB28181 "false"
SET_FEATURE FEATURE_WIFI "false"
SET_FEATURE DEVICE_TYPE "\"E_DOCTOR_S\""
SET_FEATURE FEATURE_ETHERNET_COUNT "2"
SET_FEATURE FEATURE_PLAYBACK "true"
SET_FEATURE FEATURE_ENCODE_MAX_CHANNELS "4"
SET_FEATURE FEATURE_MAX_RES_1080P "true"
SET_FEATURE FEATURE_STREAMER "true"
SET_FEATURE FEATURE_ENCODE "false"
SET_FEATURE FEATURE_LOCAL_STREAM "true"
SET_FEATURE FEATURE_RECORD_NAS "true"
SET_FEATURE SOFTWARE_OUTPUT_VOLUME "false"

SET_FEATURE PRODUCT_ID '"MS2"'
#!/bin/bash
## Upgrading done at here.

#Update version. (don't do it in the new release)
#sed -i 's/SOFTWARE_VERSION=.*$/SOFTWARE_VERSION=[['$SWVER']]/g' /usr/share/lua/$LUA_VERSION/version.lua >> $logfile 2>&1

#TODO: The name u-boot-hi3536.bin may be changed? consider it later.
if [ -x /usr/sbin/flash_erase -a -x /usr/sbin/nandwrite -a -f "$TARGET_TMP_DIR/_UPGRADE/boot/u-boot-hi3536.bin" ]; then
	NEED_UPDATE_BOOT=
	#To get the variant BOOTARGS_LINE
	if [ -f "$TARGET_TMP_DIR/_UPGRADE/boot/bootargs.info" ]; then
		source "$TARGET_TMP_DIR/_UPGRADE/boot/bootargs.info"
	fi
	current_bootargs="`cat /proc/cmdline`"
	if [ "$BOOTARGS_LINE" != "$current_bootargs" ]; then
		NEED_UPDATE_BOOT=y
	fi
	if [ ! -z "$NEED_UPDATE_BOOT" ]; then
		/usr/sbin/flash_erase -q /dev/mtd0 0 0
		/usr/sbin/nandwrite -p /dev/mtd0 "$TARGET_TMP_DIR/_UPGRADE/boot/u-boot-hi3536.bin"
	fi
fi

#TODO: Update kernel, the name uImage_hi3536 may be changed? consider it later.
if [ -x /usr/sbin/flash_erase -a -x /usr/sbin/nandwrite -a -f "$TARGET_TMP_DIR/_UPGRADE/kernel/uImage_hi3536" ]; then
	/usr/sbin/flash_erase -q /dev/mtd1 0 0
	/usr/sbin/nandwrite -p /dev/mtd1 "$TARGET_TMP_DIR/_UPGRADE/kernel/uImage_hi3536"
fi

echo "------------------------------------" >> $logfile
echo "Finished upgrading. [$WITH_ERROR errors, $WITH_WARNING warnnings.]" >> $logfile

rm -Rf $TARGET_TMP_DIR/_UPGRADE
sync
sync
exit $UPGRADE_RETURNS

