webpackJsonp([18],{

/***/ "RoPZ":
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });

// CONCATENATED MODULE: ./node_modules/babel-loader/lib!./node_modules/vue-loader/lib/selector.js?type=script&index=0!./src/view/maintenance.vue
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/* harmony default export */ var maintenance = ({
  name: "maintenance",
  data: function data() {
    return {
      form: {
        enable: true,
        policy: "day",
        time: new Date(),
        date: {
          year: 1970,
          month: 12,
          day: 25,
          hour: 12,
          minute: 0,
          second: 0
        },
        n_hour: {
          hour: 1,
          minute: 0,
          second: 0
        },
        n_minute: {
          minute: 30,
          second: 0
        }
      },
      policy_options: [{
        label: "maintenance.eveny_day",
        value: "day"
      }, {
        label: "maintenance.n_hour",
        value: "hour"
      }, {
        label: "maintenance.n_minute",
        value: "minute"
      }]
    };
  },

  computed: {
    currentTime: function currentTime() {
      var hour = new Date().getHours();
      var min = new Date().getMinutes();
      hour = hour < 10 ? "0" + hour : hour;
      min = min < 10 ? "0" + min : min;
      return hour + ":" + min;
    },
    nextTime: function nextTime() {
      var hour = (new Date().getHours() + this.form.n_hour.hour) % 24;
      hour = hour < 10 ? "0" + hour : hour;
      return hour + ":00";
    }
  },
  created: function created() {
    this.$set(this.form, "time", this.numberToDate());
    this.getData();
  },

  methods: {
    getData: function getData() {
      this.getMaintenance();
    },
    getMaintenance: function getMaintenance() {
      var _this = this;

      this.$http.getMaintenance().then(function (res) {
        _this.form = res.data.data;
        _this.$set(_this.form, "time", _this.numberToDate());
      });
    },
    onSubmit: function onSubmit() {
      var _this2 = this;

      this.$refs.form.validate(function (valid) {
        if (valid) {
          var params = _this2.form;
          console.log(_this2.form);
          params.date = _this2.dateToNumber();
          delete params.time;
          _this2.$http.setMaintenance(params).then(function (res) {
            _this2.$message.success(_this2.$t("tips.modifiedSuccess"));
            _this2.getData();
          });
        }
      });
    },
    numberToDate: function numberToDate() {
      return new Date(this.form.date.year, this.form.date.month - 1, this.form.date.day, this.form.date.hour, this.form.date.minute, this.form.date.second);
    },
    dateToNumber: function dateToNumber() {
      return {
        year: this.form.time.getFullYear(),
        month: this.form.time.getMonth() + 1,
        day: this.form.time.getDate(),
        hour: this.form.time.getHours(),
        minute: this.form.time.getMinutes(),
        second: this.form.time.getSeconds()
      };
    }
  }
});
// CONCATENATED MODULE: ./node_modules/vue-loader/lib/template-compiler?{"id":"data-v-023dec10","hasScoped":true,"transformToRequire":{"video":["src","poster"],"source":"src","img":"src","image":"xlink:href"},"buble":{"transforms":{}}}!./node_modules/vue-loader/lib/selector.js?type=template&index=0!./src/view/maintenance.vue
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"container"},[_c('el-row',{attrs:{"gutter":20}},[_c('el-col',{attrs:{"sm":{ span: 20, offset: 2 },"md":{ span: 16, offset: 4 },"lg":{ span: 12, offset: 6 }}},[_c('el-card',{staticClass:"box-card"},[_c('div',{staticClass:"clearfix text-center",attrs:{"slot":"header"},slot:"header"},[_c('span',[_vm._v(_vm._s(_vm.$t("navList.maintenance")))])]),_vm._v(" "),_c('el-form',{ref:"form",attrs:{"model":_vm.form,"label-width":"120px","size":"mini"}},[_c('el-form-item',{attrs:{"label":_vm.$t('maintenance.time_switch')}},[_c('el-switch',{attrs:{"active-value":true,"inactive-value":false},model:{value:(_vm.form.enable),callback:function ($$v) {_vm.$set(_vm.form, "enable", $$v)},expression:"form.enable"}})],1),_vm._v(" "),_c('el-form-item',{attrs:{"label":_vm.$t('maintenance.time_policy'),"prop":"policy","rules":_vm.$filter_rules({ required: true })}},[_c('el-select',{model:{value:(_vm.form.policy),callback:function ($$v) {_vm.$set(_vm.form, "policy", $$v)},expression:"form.policy"}},_vm._l((_vm.policy_options),function(item){return _c('el-option',{key:item.value,attrs:{"value":item.value,"label":_vm.$t(item.label)}})}),1)],1),_vm._v(" "),(_vm.form.policy == 'day')?_c('el-form-item',{attrs:{"prop":"time","label":_vm.$t('maintenance.time_picker')}},[_c('el-time-picker',{model:{value:(_vm.form.time),callback:function ($$v) {_vm.$set(_vm.form, "time", $$v)},expression:"form.time"}})],1):_vm._e(),_vm._v(" "),(_vm.form.policy == 'hour')?_c('el-form-item',{attrs:{"prop":"n_hour.hour","label":_vm.$t('maintenance.hour'),"rules":_vm.$filter_rules({ required: true, number: true })}},[_c('el-input-number',{attrs:{"min":1,"max":24,"step":1,"controls":true,"controls-position":"both"},model:{value:(_vm.form.n_hour.hour),callback:function ($$v) {_vm.$set(_vm.form.n_hour, "hour", $$v)},expression:"form.n_hour.hour"}})],1):_vm._e(),_vm._v(" "),(_vm.form.policy == 'hour')?_c('el-form-item',{attrs:{"label":_vm.$t('tips.tips')}},[_c('p',{staticClass:"color_warning"},[_vm._v("\n              "+_vm._s(_vm.$t("maintenance.n_hour_tips1"))+"\n              "),_c('span',{staticClass:"color_primary"},[_vm._v(_vm._s(_vm.currentTime))]),_vm._v("\n              "+_vm._s(_vm.$t("maintenance.n_hour_tips2"))+"\n              "),_c('span',{staticClass:"color_primary"},[_vm._v(_vm._s(_vm.nextTime))])])]):_vm._e(),_vm._v(" "),(_vm.form.policy == 'minute')?_c('el-form-item',{attrs:{"prop":"n_minute.minute","label":_vm.$t('maintenance.minute'),"rules":_vm.$filter_rules({ required: true, number: true })}},[_c('el-input-number',{attrs:{"min":5,"max":59,"step":1,"controls":true,"controls-position":"both"},model:{value:(_vm.form.n_minute.minute),callback:function ($$v) {_vm.$set(_vm.form.n_minute, "minute", $$v)},expression:"form.n_minute.minute"}})],1):_vm._e(),_vm._v(" "),_c('el-form-item',[_c('el-button',{attrs:{"type":"primary","size":"mini"},on:{"click":_vm.onSubmit}},[_vm._v(_vm._s(_vm.$t("button.ok")))])],1)],1)],1)],1)],1)],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ var view_maintenance = (esExports);
// CONCATENATED MODULE: ./src/view/maintenance.vue
function injectStyle (ssrContext) {
  __webpack_require__("h7HH")
}
var normalizeComponent = __webpack_require__("VU/8")
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-023dec10"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  maintenance,
  view_maintenance,
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ var src_view_maintenance = __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ "h7HH":
/***/ (function(module, exports) {

// removed by extract-text-webpack-plugin

/***/ })

});