local _M = {
	inputs = {
		--TODO:
	},

	usb = {
		enable = true,
		ignore = nil, -- TODO: Specify the USB device name to ignore.
		bind_output = "LINEOUT" -- Output binding.
	},

	outputs = {
		["LINEOUT"] = { 
			aoID = 1, 
			sink_type = "HISI", 
			audio_type = "analog",
			device = "0:0", 
			volume=0, 
			analog_gain=0,
			mute=false, 
			sampling=48000, 
			channels=2, 
			sampleSize = 480 
		},

		["HDMI"] = { 
			aoID = 2,
			sink_type = "HISI", 
			audio_type = "embedded",
			device = "1:0", 
			volume=0, 
			mute=false, 
			sampling=48000, 
			channels=2, 
			sampleSize = 480 
		},

		["SDI"] = { 
			aoID = 3, 
			sink_type = "HISI", 
			audio_type = "embedded",
			device = "2:0", 
			volume=0, 
			mute=false, 
			sampling=48000, 
			channels=2, 
			sampleSize = 480 
		},

		["VS0"] = {
			volume=0, 
			sink_type = "CROSS",
			mute=false, 
			sampling=48000, 
			channels=2, 
			sampleSize = 480 
		},

		["VS1"] = {
			volume=0, 
			sink_type = "CROSS", 
			mute=false, 
			sampling=48000, 
			channels=2, 
			sampleSize = 480 
		}
	}
}

return _M

