local coaf = require "coaf.core"
local _dbg = require "coaf.debug"

local _M = {
	HOST_NAME = ""
}

function _M.Init() 
	_M.hostname = _M.GetHostName()
end


function  _M.SetHostName(hostname)
	if hostname and _M.HOST_NAME ~= hostname then
		local file = io.open( "/etc/hostname", "w" )
		if file then
			file:write( hostname .. "\n" )
			file:close()
		end
		os.execute( "/bin/hostname '" .. hostname .. "'")
		_M.HOST_NAME = hostname
	end
	return true
end

function  _M.GetHostName()
	if _M.HOST_NAME == "" then
		local file = io.open( "/etc/hostname", "r" )
		if file then
			_M.HOST_NAME = file:read("l")
			file:close()
			if not _M.HOST_NAME then
				_M.HOST_NAME = ""
			end
			--os.execute( "/bin/hostname " .. hostname)
		end
	end
	return _M.HOST_NAME
end

return _M