local CFG = require "supertable.core"
local DC = require "supertable.declare"

local _M = {
	config_file = "/data/configs/relationImg.conf"
}


local general_set_decl = DC.OBJ{
        output1=DC.OBJ{
                bg=DC.OBJ{
                        enable=DC.STR(1),
                        url=DC.STR(""),
                },
                osd=DC.OBJ{
                        enable=DC.STR(1),
                        url=DC.STR(""),
                        position=DC.STR("")
                }
        },
        output2=DC.OBJ{
                bg=DC.OBJ{
                        enable=DC.STR(1),
                        url=DC.STR(""),
                },
                osd=DC.OBJ{
                        enable=DC.STR(1),
                        url=DC.STR(""),
                        position=DC.STR("")
                }
        }
       
 } : __changed( function(conf)
        conf:TAB_SAVE()
end )

local failDefault = {
        output1={
                bg={
                        enable=1,url=""},
                osd={
                        enable=1,url="",position=""},
        },
        output2={
                bg={
                        enable=1,url=""},
                osd={
                        enable=1,url="",position=""},
        }

}

function _M.Load(file)
        local gen_set = CFG.Create( {}, general_set_decl )
        gen_set:TAB_STORAGE( "file", { file = _M.config_file } )
        local _, r = gen_set:TAB_LOAD()
        if not r then
            gen_set:TAB_BIND( failDefault )
        end
        gen_set:TAB_RESET_CHANGE()
        return gen_set
end

return _M
